現在地: セキュリティセンター > Mozilla Foundation セキュリティアドバイザリ > MFSA 2013-99

Mozilla Foundation セキュリティアドバイザリ 2013-99

タイトル: iframe を使った PDF.js のセキュリティ制限回避
重要度:
公開日: 2013/10/29
報告者: Cody Crews
影響を受ける製品: Firefox

修正済みのバージョン: Firefox 25.0
  Firefox ESR 24.1

概要

クローム特権の PDF.js で描画される埋め込み PDF オブジェクトに iframe を追加する方法が、セキュリティ研究者の Cody Crews 氏によって発見されました。これは、埋め込み PDF オブジェクトに含まれるローカルもしくはクローム特権付きのファイルやオブジェクトに課されたセキュリティ制限の回避に悪用可能であり、ローカルシステムファイルの情報漏えいにつながる恐れがありました。

Thunderbird と SeaMonkey では JavaScript が初期設定で無効になっているため、一般的にこれらの脆弱性はメールを通じた悪用が不可能です。ただしこれらの製品でも、ブラウザもしくはブラウザに類似した機能を利用した場合、潜在的なリスクが生じます。

参考資料